Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01449 DIP/Input Major Always Mar 1, 2008, 07:19 Jul 30, 2017, 18:04
Tester Jdurg View Status Public Platform MAMEUI
Assigned To tedgreen Resolution Fixed OS Windows XP/Vista 64-bit
Status [?] Resolved Driver midzeus.cpp
Version 0.123u3 Fixed in Version Build C2D
Summary 01449: mk4, mk4a: Administrative buttons cause MK4 (Rev 3.0) to Lock-Up
Description When running MK4 (Only tested with Revision 3.0), if you press any administrative button (Test Switch, Volume Up, Volume Down, etc). the game locks up completely. It will still respond to the Reset (F3) button press, however.

If F11 is pressed, one will see that the % jumps up to 100% as if all emulation has ceased.

Tafoid: Replicated with mk4a. Regression appears to be 0.122u2
Steps To Reproduce Load MK4
Allow Game to Boot Up
Press F2, or -, or = key on keyboard. Game will lock up.
Additional Information Bug was also seen in 32-bit version of MAME/MAMEUI and 64-Bit Standard Version of MAME.
Flags
Regression Version 0.122u2
Affected Sets / Systems mk4, mk4a
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.00338
Jdurg
Tester
Mar 23, 2008, 05:35
Not sure if this is related, but I decided to let attract mode run for a while, and after approximately 4 or 5 attract mode battles, the game locked up completely taking MAME with it. No key presses would register and MAME had to be forcefully closed. The only difference in my setup from the prior bug report is that I'm now running Vista Service Pack 1.
User avatar
No.14033
tedgreen
Developer
Jul 30, 2017, 18:04
Error no longer occurs in latest version.